Subject: bug#45455: [nextstep]: Emacs master does not compile on Apple Silicon (arm64)

From: Artem Loenko <[email-masked]>
Date: Mon, 28 Dec 2020 11:42:49 +0000

> On 28 Dec 2020, at 11:11, Philipp Stephani <[email-masked]> wrote:
> 
> I installed that commit because without it, building the emacs-27
> branch doesn't work on my system (due to the architecture mismatch).
> Why do you think that reverting it won't break the build again?

I made a mistake and checked on the tagged version, not on the emacs-27 branch itself. I double-checked, and you are right. It will break the emacs-27 as you said. Sorry for the confusion.

This is the Makefile on the emacs-27 branch with the patch, and it will not fly:

./src/Makefile
...
DO_CODESIGN=$(patsubst aarch64-apple-darwin%,yes,arm-apple-darwin20.2.0)

So, we need the patch only on the master, considering these recent changes in the `config.quess`.